Gyoto::Screen::Coord1dSet Class Referenceabstract

Set of 1-d coordinates: indices or angles. More...

`#include <GyotoScreen.h>`

Inheritance diagram for Gyoto::Screen::Coord1dSet:

## Public Member Functions

| Coord1dSet (CoordType_e k)
| Set kind during initialization.
virtual | ~Coord1dSet ()
| Virtual destructor.
virtual void | begin ()=0
| Reset specifier to point to the first value.
virtual bool | valid ()=0
| True if pointing to something, false if end has been reached.
virtual size_t | size ()=0
| Number of values in this container.
virtual size_t | operator* () const
| Get size_t value currently pointed to.
virtual double | angle () const
| Get double value currently pointed to.
virtual Coord1dSet & | operator++ ()=0
| Increment iterator (point to next value).
virtual size_t | index () const =0
| Get index of value currently pointed to.

## Public Attributes

const CoordType_e | kind
| Whether this specifier represents angles or pixels.

## Detailed Description

Set of 1-d coordinates: indices or angles.

Acts like a container (array-like) of either size_t (pixel coordinate) or double (angle) values. This container can be iterated-through using the operator++(), derefenced using the operator*() (if containing pixel coordinates) or angle() (in containing angles).

## Member Function Documentation

## angle()

virtual double Gyoto::Screen::Coord1dSet::angle | ( |  | ) | const

virtual

Get double value currently pointed to.

Reimplemented in Gyoto::Screen::Angles, and Gyoto::Screen::RepeatAngle.

## begin()

virtual void Gyoto::Screen::Coord1dSet::begin | ( |  | ) |

pure virtual

Reset specifier to point to the first value.

Implemented in Gyoto::Screen::Angles, Gyoto::Screen::Indices, Gyoto::Screen::Range, and Gyoto::Screen::RepeatAngle.

## index()

virtual size_t Gyoto::Screen::Coord1dSet::index | ( |  | ) | const

pure virtual

Get index of value currently pointed to.

Starts at 0 and is implemented each time operator++ is called. Depending on the implementation, this may be a real index or computed on demand.

Implemented in Gyoto::Screen::Angles, Gyoto::Screen::Indices, Gyoto::Screen::Range, and Gyoto::Screen::RepeatAngle.

## operator*()

virtual size_t Gyoto::Screen::Coord1dSet::operator* | ( |  | ) | const

virtual

Get size_t value currently pointed to.

Reimplemented in Gyoto::Screen::Indices, and Gyoto::Screen::Range.

## operator++()

virtual Coord1dSet & Gyoto::Screen::Coord1dSet::operator++ | ( |  | ) |

pure virtual

Increment iterator (point to next value).

Implemented in Gyoto::Screen::Angles, Gyoto::Screen::Indices, Gyoto::Screen::Range, and Gyoto::Screen::RepeatAngle.

## size()

virtual size_t Gyoto::Screen::Coord1dSet::size | ( |  | ) |

pure virtual

Number of values in this container.

Implemented in Gyoto::Screen::Angles, Gyoto::Screen::Indices, Gyoto::Screen::Range, and Gyoto::Screen::RepeatAngle.

## valid()

virtual bool Gyoto::Screen::Coord1dSet::valid | ( |  | ) |

pure virtual

True if pointing to something, false if end has been reached.

Implemented in Gyoto::Screen::Angles, Gyoto::Screen::Indices, Gyoto::Screen::Range, and Gyoto::Screen::RepeatAngle.

The documentation for this class was generated from the following file:

- GyotoScreen.h